/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.arrebol.taxiservicios.model.enums;

/**
 *
 * @author Crov
 */
public enum EstatusPagoMultiple {
   PROCESANDO("PROCESANDO") {
      @Override
      public String toString() {
         return "PROCESANDO";
      }
   }, PAGADO("PAGADO") {
      @Override
      public String toString() {
         return "PAGADO";
      }
   }, CANCELADO("CANCELADO") {
      @Override
      public String toString() {
         return "CANCELADO";
      }
   },
   DEVUELTO("DEVUELTO") {
      @Override
      public String toString() {
         return "DEVUELTO";
      }
   },
   FALLIDO("FALLIDO") {
      @Override
      public String toString() {
         return "FALLIDO";
      }
   };

   private final String type;

   private EstatusPagoMultiple(String type) {
      this.type = type;
   }

   public String getType() {
      return type;
   }
}
